﻿using Syncfusion.GridHelperClasses;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Windows.Forms.Tools;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace AutoCompleteFilter
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.gridGroupingControl1.DataSource = GetTable();
            for (int i = 0; i < this.gridGroupingControl1.TableDescriptor.Columns.Count; i++)
            {
                this.gridGroupingControl1.TableDescriptor.Columns[i].AllowFilter = true;
            }
            this.gridGroupingControl1.TopLevelGroupOptions.ShowFilterBar = true;
            //To find the match at the dropdown list
            //this.gridGroupingControl1.TableDescriptor.Appearance.FilterBarCell.AutoCompleteInEditMode = Syncfusion.Windows.Forms.Grid.GridComboSelectionOptions.Both;

            //To enable the autocomplete in the FilterBar cell
            this.gridGroupingControl1.TableDescriptor.Appearance.FilterBarCell.DropDownStyle = Syncfusion.Windows.Forms.Grid.GridDropDownStyle.AutoComplete;
     
        }
        

        private DataTable GetTheComboTable()
        {
            DataTable dt = new DataTable("Customers");

            dt.Columns.Add(new DataColumn("CustomerID", typeof(int)));
            dt.Columns.Add(new DataColumn("CustomerName"));

            dt.Rows.Add(new object[] { 5, "Washington" });
            dt.Rows.Add(new object[] { 3, "German" });
            dt.Rows.Add(new object[] { 2, "Australia" });
            dt.Rows.Add(new object[] { 4, "Indonacia" });
            dt.Rows.Add(new object[] { 1, "Italy" });

            return dt;
        }
        public DataTable dt;
        private DataTable GetTable()
        {
            dt = new DataTable("FilterTable");
            dt.Columns.Add(new DataColumn("CustomerId"));
            dt.Columns.Add(new DataColumn("CustomerName"));
            dt.Columns.Add(new DataColumn("CurrentCity"));
            dt.Columns.Add(new DataColumn("WorkingBranch"));

            for (int i = 0; i < 40; i++)
            {
                DataRow dr = dt.NewRow();
                for (int j = 0; j < dt.Columns.Count; j++)
                {
                    if (j == 0)
                        dr[j] = i + 1;
                    else
                        if (j == 1)
                        {
                            if (i % 3 == 0)
                                dr[j] = "Hendry";

                            else
                                if (i % 3 == 1)
                                    dr[j] = "Joseph";
                                else if (i % 3 == 2)
                                    dr[j] = "Frank";
                        }
                        else
                            if (j == 2)
                            {
                                if (i % 2 == 0)
                                    dr[j] = "IreLand";
                                else
                                    if (i % 3 == 0)
                                        dr[j] = "Poland";
                                    else
                                        dr[j] = "England";
                            }
                            else
                                if (j == 3)
                                {
                                    if (i % 4 == 0)
                                    {
                                        dr[j] = "German";

                                    }
                                    else if (i % 4 == 1)
                                    {
                                        dr[j] = "Portucal";
                                    }
                                    else if (i % 4 == 2)
                                    {
                                        dr[j] = "Sweedan";
                                    }
                                }
                                else
                                    dr[j] = string.Format("row{0} col{1}", i, j);

                } dt.Rows.Add(dr);

            } return dt;
        }

        public bool isTextCleared { get; set; }
    }
}
